{% extends 'base.html' %}

{% block main %}
    <form method="get" action="{{url_for('allAlbum', page=1)}}">
        <div class="top-margin">
            <h4>Genre</h4>
            <select name="genre" class="custom-select">
                <option value="">Please select a genre</option>
                {% for g in genres %}
                <option>{{ g.nom }}</option>
                {% endfor%}
            </select>
        </div>

        <div class="top-margin">
            <h4>Artists</h4>
            <select name="singer" class="custom-select">
                <option value="">Please select an artist</option>
                {% for s in singers %}
                <option>{{ s.nom }}</option>
                {% endfor%}
            </select>
        </div>
        <div class="top-margin">
            <h4>Years</h4>
            <select name="years" class="custom-select">
                <option value="">Please select a year</option>
                {% for s in years %}
                <option>{{ s }}</option>
                {% endfor%}
            </select>
        </div>
        <button type="submit" class="btn btn-dark w-100 top-margin">Filter</button>
    </form> 
{% endblock main %}